xorg-xserver-1.7.2/3 configure error

Lars Bamberger maillist at herr-der-mails.de
Sun Jan 3 02:46:53 PST 2010


lux-integ wrote:
> I am having a little difficulty compiling xorg-xserver 1.7.2/1.7.3.  On 
> execution, the configure script yields the following:-
> 
> ----------------------------
> checking for GL... configure: error: Package requirements (glproto >= 1.4.9 gl 
>> = 7.1.0) were not met:
> 
> No package 'gl' found
> ----------------------------
> 
> ###########  but glproto is installed:-
> root [ / ]# ls -l /usr/X11R7.5/lib/pkgconfig/gl*
> -rw-r--r-- 1 root root 187 Jan  2 21:54 /usr/X11R7.5/lib/pkgconfig/glproto.pc

Have a look at the config.log and try to find out what the configure
script is doing to find the installed packages. Usually the environment
variable PKG_CONFIG_PATH needs to include all the directories where your
.pc files are stored. (Check if /usr/X11R7.5/lib/pkgconfig is set in
that variable.)

If you followed the instructions in the book (Chapter 3. After LFS
Configuration Issues, The Bash Shell Startup Files), this should have
been set up in /etc/profile.d/X.sh. The prefix there is /usr/X11R6 and
not /usr/X11R7.5. So maybe that's the problem.

HTH
Lars





More information about the blfs-support mailing list